Crystal::Macros::Call - Crystal 1.19.1

# class Crystal::Macros::Call

- Crystal::Macros::Call
- Crystal::Macros::ASTNode

##
Overview

A method call.

##
Defined in:

compiler/crystal/macros.cr

##
Instance Method Summary

- #args : ArrayLiteral

  Returns this call's arguments.

- #block : Block | Nop

  Returns this call's block, if any.

- #block_arg : ASTNode | Nop

  Returns this call's block argument, if any

- #global? : BoolLiteral

  Returns `true` if this call refers to a global method (starts with `::`).

- #id : MacroId

  Returns this call's name as a `MacroId`.

- #name : MacroId

  Returns the method name of this call.

- #named_args : ArrayLiteral(NamedArgument)

  Returns this call's named arguments.

- #receiver : ASTNode | Nop

  Returns this call's receiver, if any.

### Instance methods inherited from class `Crystal::Macros::ASTNode`

!=(other : ASTNode) : BoolLiteral !=, ==(other : ASTNode) : BoolLiteral ==, class_name : StringLiteral class_name, column_number : StringLiteral | NilLiteral column_number, doc : StringLiteral doc, doc_comment : MacroId doc_comment, end_column_number : StringLiteral | NilLiteral end_column_number, end_line_number : StringLiteral | NilLiteral end_line_number, filename : StringLiteral | NilLiteral filename, id : MacroId id, is_a?(type : TypeNode) : BoolLiteral is_a?, line_number : StringLiteral | NilLiteral line_number, nil? : BoolLiteral nil?, raise(message) : NoReturn raise, stringify : StringLiteral stringify, symbolize : SymbolLiteral symbolize, warning(message : StringLiteral) : NilLiteral warning

##
Instance Method Detail

def args : ArrayLiteral #

Returns this call's arguments.

def block : Block | Nop #

Returns this call's block, if any.

def block_arg : ASTNode | Nop #

Returns this call's block argument, if any

def global? : BoolLiteral #

Returns `true` if this call refers to a global method (starts with `::`).

def id : MacroId #

Returns this call's name as a `MacroId`.

def name : MacroId #

Returns the method name of this call.

def named_args : ArrayLiteral(NamedArgument) #

Returns this call's named arguments.

def receiver : ASTNode | Nop #

Returns this call's receiver, if any.